# Cinder

# cinder::TriMesh Class Reference

`#include <TriMesh.h>`

List of all members.

## Public Member Functions
void | clear ()
bool | hasNormals () const
bool | hasTexCoords () const
void | appendVertex (const Vec3f &v)
void | appendVertices (const Vec4d *verts, size_t num)
void | appendNormal (const Vec3f &v)
void | appendNormals (const Vec4d *normals, size_t num)
void | appendTexCoord (const Vec2f &v)
void | appendTriangle (size_t v0, size_t v1, size_t v2)
size_t | getNumIndices () const
size_t | getNumTriangles () const
size_t | getNumVertices () const
const std::vector< Vec3f > & | getVertices () const
const std::vector< Vec3f > & | getNormals () const
const std::vector< Vec2f > & | getTexCoords () const
const std::vector< size_t > & | getIndices () const
AxisAlignedBox3f | calcBoundingBox () const
void | read (IStream *in)
void | write (OStream *out) const

## Member Function Documentation

void cinder::TriMesh::clear | ( |  | ) |

bool cinder::TriMesh::hasNormals | ( |  | ) | const

bool cinder::TriMesh::hasTexCoords | ( |  | ) | const

void cinder::TriMesh::appendVertex | ( | const Vec3f & | v | ) |

void cinder::TriMesh::appendVertices | ( | const Vec4d * | verts,
|  | size_t | num |
| ) |  |  |

void cinder::TriMesh::appendNormal | ( | const Vec3f & | v | ) |

void cinder::TriMesh::appendNormals | ( | const Vec4d * | normals,
|  | size_t | num |
| ) |  |  |

void cinder::TriMesh::appendTexCoord | ( | const Vec2f & | v | ) |

void cinder::TriMesh::appendTriangle | ( | size_t | v0,
|  | size_t | v1,
|  | size_t | v2 |
| ) |  |  |

size_t cinder::TriMesh::getNumIndices | ( |  | ) | const

size_t cinder::TriMesh::getNumTriangles | ( |  | ) | const

size_t cinder::TriMesh::getNumVertices | ( |  | ) | const

const std::vector<Vec3f>& cinder::TriMesh::getVertices | ( |  | ) | const

const std::vector<Vec3f>& cinder::TriMesh::getNormals | ( |  | ) | const

const std::vector<Vec2f>& cinder::TriMesh::getTexCoords | ( |  | ) | const

const std::vector<size_t>& cinder::TriMesh::getIndices | ( |  | ) | const

AxisAlignedBox3f cinder::TriMesh::calcBoundingBox | ( |  | ) | const

void cinder::TriMesh::read | ( | IStream * | in | ) |

void cinder::TriMesh::write | ( | OStream * | out | ) | const

The documentation for this class was generated from the following files:

- include/cinder/TriMesh.h
- src/cinder/TriMesh.cpp